#
# spec file for package kbuild (Version 0.1.2svn1480)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Url:            http://svn.netlabs.org/kbuild

Name:           kbuild
BuildRequires:  bison flex libacl-devel
License:        GPL v2 or later
Group:          Development/Tools/Building
Summary:        framework for writing simple makefiles for complex tasks
Version:        0.1.2svn1480
Release:        2
Source0:        %name-%{version}.tar.bz2
Patch0:         kbuild-man.diff
Patch1:         warnings.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The goals of the kBuild framework: - Similar behavior across all
   supported platforms

- Flexibility, don't create unnecessary restrictions preventing
   ad-hoc solutions

- Makefiles can be simple to write and maintain

- One configuration file for a subtree automatically included

- Target configuration templates as the primary mechanism for
   makefile simplification

- Tools and SDKs for helping out the templates with flexibility

- Non-recursive makefile method by using sub-makefiles



Authors:
--------
    Knut St. Osmundsen <bird-kbuild-spam@anduin.net>

%prep
%setup -q
%patch0
%patch1

%build
export CFLAGS="$RPM_OPT_FLAGS"
kBuild/env.sh make -f bootstrap.gmk SRCDIR=`pwd`
kBuild/env.sh kmk rebuild PATH_INS=`pwd`
pod2man -c 'kBuild for SUSE Linux' -r kBuild-%version kmk.pod > kmk.1

%install
kBuild/env.sh kmk NIX_INSTALL_DIR=/usr BUILD_TYPE=release PATH_INS=%{buildroot} LDFLAGS=-Wl,--as-needed
install -m 644 -D kmk.1 %buildroot/%_mandir/man1/kmk.1
chmod a-x %buildroot/usr/share/kBuild/*/*kmk

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%{_prefix}/bin/*
%{_mandir}/*/*
/usr/share/kBuild

%changelog
* Wed Apr 02 2008 dmueller@suse.de
- Initial package (0.1.2svn1480)
